Package Details: vim-qt-git 20130201.45.ge1eb3b8-2

Git Clone URL: https://aur.archlinux.org/vim-qt-git.git (read-only)
Package Base: vim-qt-git
Description: An experimental Qt GUI for Vim
Upstream URL: https://bitbucket.org/equalsraf/vim-qt
Licenses: unknown, custom:vim
Conflicts: gvim, gvim-python3, qvim, vim, vim-minimal, vim-python3, vim-qt, vim-runtime
Provides: qvim, vim, vim-minimal, vim-python3, vim-qt, vim-runtime, xxd
Submitter: pmattern
Maintainer: pmattern
Last Packager: pmattern
Votes: 5
Popularity: 0.000000
First Submitted: 2015-08-12 14:55
Last Updated: 2015-12-11 23:04

Dependencies (13)

Required by (337)

Sources (2)

Latest Comments

fusion809 commented on 2017-10-01 20:04

Gives this error:
g++ -Iproto -DHAVE_CONFIG_H -DFEAT_GUI_QT -Iqt -I. -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/i
nclude/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
-D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt -U_F
ORTIFY_SOURCE -D_FORTIFY_SOURCE=1 -pipe -march=x86-64 -mtune=generic -O2 -pipe -fstack-prote
ctor-strong -fno-plt -Wall -W -D_REENTRANT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LI
B -DQT_SHARED -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=1 -o objects/gui_qt.o -c gui_qt.cpp
gui_qt.cpp:42:42: warning: ISO C++ forbids converting a string constant to ‘char*’ [-Wwrite-string
]
static char *dummy_argv[] = {"qvim", NULL};
^
gui_qt.cpp: In function ‘void gui_mch_update_fuoptions(char_u*)’:
gui_qt.cpp:72:39: warning: unused parameter ‘optstr’ [-Wunused-parameter]
void gui_mch_update_fuoptions(char_u *optstr)
^~~~~~
gui_qt.cpp: In function ‘int gui_mch_wait_for_chars(long int)’:
gui_qt.cpp:210:49: error: ‘void QTimer::timeout()’ is protected within this context
QObject::connect(&channel_poll_timer, &QTimer::timeout, []() {
^~~~~~~
In file included from /usr/include/qt4/QtCore/QTimer:1:0,
from gui_qt.cpp:16:
/usr/include/qt4/QtCore/qtimer.h:92:10: note: declared protected here
void timeout();
^~~~~~~
gui_qt.cpp:213:4: error: no matching function for call to ‘QObject::connect(QTimer*, void (QTimer::
*)(), gui_mch_wait_for_chars(long int)::<lambda()>)’
});
^
vim-qt-qt5-git builds fine.

ilpianista commented on 2017-05-27 18:51

Hi, this could replace 'qvim' since qvim has been merged into this.

JZA commented on 2016-06-26 11:05

Having issues with libncurses.5.so currently on libncurses.6.so
/usr/bin/qvim: error while loading shared libraries: libncursesw.so.5: cannot open shared object file: No such file or directory

marmistrz commented on 2016-03-11 21:20

This no longer builds. The pkgver() fails.

git describe --tags | perl -ne 'print $2 if /^(package-)([0-9]{8})$/; exit 0 if $2; exit 1'
fatal: No names found, cannot describe anything.

pmattern commented on 2015-08-18 15:39

.INSTALL is invoking gtk-update-icon-cache but the corresponding package isn't stated by variable depends.
This will probably come into effect on a minority of systems only as the package is installed more often than not but nevertheless fixing wouldn't hurt, IMHO.

On a side note I wonder whether it wouldn't make sense to rename this package to vim-qt to reflect the upstream identification.
I'm aware a package named like this was providing script http://www.vim.org/scripts/script.php?script_id=609 in AUR <4. But the last commit was more than twelve years ago.
Aside from this I for one think it would be much better anyway if scripts got summarized similarly as its done with translations, e. g. vim-script-foo.

jdsa92 commented on 2014-11-02 10:16

This is the latest stable version (see https://bitbucket.org/equalsraf/vim-qt/wiki/Packaging) whilst vim-qt-git is the most recent commit. Incidentally these currently coincide, although this hasn't always been the case.

karol_007 commented on 2014-11-02 09:57

There already is https://aur.archlinux.org/packages/vim-qt-git/ - what's the difference? Maybe you can suggest adding e.g. lua support to vim-qt-git.